html, body {
    height: 100%;
}

body {
    background-color: #fff;
    font-family: 'Inter', system-ui, -apple-system, sans-serif;
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}

h1, h2, h3 {
    color: #303751 !important;
}

/* Navbar */
.bg-custom {
    background-color: #303751 !important;
    color: #fff;
}

/* Boutons */
.btn-outline-custom {
    background-color: #4c5881;
    color: #fff;
}

.btn-outline-custom:hover {
    background-color: #5f6ea1;
    color: white;
}

main {
    flex: 1 0 auto;
} 

.main-logo-container {
    width: 400px !important; 
    margin: 0 auto 2rem auto;
    display: block;
}

.main-logo {
    width: 100% !important;
    height: auto !important;
    filter: drop-shadow(0 4px 6px rgba(0,0,0,0.05));
}

.newsletter-card {
    border: none;
    border-radius: 24px;
    box-shadow: 0 10px 30px rgba(0,0,0,0.05);
    background: white;
    padding: 3rem !important;
}

.btn-subscribe {
    padding: 12px 25px;
    font-weight: 600;
    border-radius: 5px;
    transition: all 0.2s;
}

.form-control {
    border-radius: 12px;
    padding: 12px 20px;
    border: 1px solid #e0e6ed;
}

.form-control:focus {
    box-shadow: 0 0 0 4px rgba(13, 110, 253, 0.1);
}

.contact-box {
    border: 1px solid #303751;
    border-radius: 5px;
    background: #fff;
    padding: 40px 0;
}

.contact-box i {
    font-size: 1.2rem;
    color: #303751;
    margin-bottom: 8px;
    display: block;
}
.contact-call-box {
    background: #303751;
     border-radius: 5px;
    padding: 40px 0;
}

.contact-call-box i {
    font-size: 1.2rem;
    color: #fff;
    margin-bottom: 8px;
    display: block;
}

footer {
    background-color: #303751 !important;
    border-top: 1px solid #5f6ea1;
    color: #fff !important;
    padding: 20px 0;
    flex-shrink: 0;
}

footer a {
    color: #fff !important;
}
